export declare class Header {
    key: string;
    value: string;
}
export declare class UrlParam {
    key: string;
    value: string;
}
export declare type ResponseType = "TEXT" | "BINARY";
export declare class Request {
    headers?: Header[];
    urlParams?: UrlParam[];
    responseType: ResponseType;
    body?: string;
}
export declare class Response {
    status: number;
    statusText: string;
    headers: Header[];
    body: string;
}
